<?php
/**
 *
 * @author Reinhold Kainhofer
 * @package VirtueMart
 * @subpackage custom
 * @copyright Copyright (C) 2013 R. Kainhofer - All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.txt
 *
 **/
 
defined('_JEXEC') or die();

if(JFile::exists(VMDLSALE_PLUGINPATH.DS.'downloads_for_sale'.DS.'assets'.DS.'downloads_for_sale.css')) {
	$doc = JFactory::getDocument();
	$doc->addStyleSheet(JURI::root().VMDLSALE_PLUGINWEBROOT.'/downloads_for_sale/assets/downloads_for_sale.css');  
}
?>

<div class="downloads-for-sale-page">
<h1><?php echo JText::_('VMCUSTOM_DLSALE_DLPAGE_TITLE') ?></h1>

<p>
	<form action="<?php echo JRoute::_( 'index.php', 1); ?>" method="post" >
		<div class="width30 floatleft" id="com-form-order-number">
			<label for="order_number"><?php echo JText::_('VMCUSTOM_DLSALE_DLPAGE_ORDER_NUMBER') ?></label><br />
			<input type="text" id="order_number" name="order_number" class="inputbox" size="18" alt="order_number" />
		</div>
		<div class="width30 floatleft" id="com-form-order-pass">
			<label for="order_pass"><?php echo JText::_('VMCUSTOM_DLSALE_DLPAGE_ORDER_PASS') ?></label><br />
			<input type="text" id="order_pass" name="order_pass" class="inputbox" size="18" alt="order_pass" value="p_"/>
		</div>
		<div class="width30 floatleft" id="com-form-order-submit">
			<input type="submit" name="Submitbuton" class="button" value="<?php echo JText::_('VMCUSTOM_DLSALE_DLPAGE_BUTTON_VIEW') ?>" />
		</div>
		<div class="clr"></div>
		<input type="hidden" name="option" value="com_virtuemart" />
		<input type="hidden" name="view" value="plugin" />
		<input type="hidden" name="name" value="downloads_for_sale" />
		<input type="hidden" name="return" value="" />

	</form>
</p>

<?php if (empty($viewData[0])) { 
  if (empty($viewData[1])) { ?>
    <h2><?php echo JText::_('VMCUSTOM_DLSALE_DLPAGE_NO_DOWNLOADS'); ?></h2>
  <?php } else { ?>
    <h2><?php echo JText::sprintf('VMCUSTOM_DLSALE_DLPAGE_ORDER_NO_DOWNLOADS', $viewData[1]); ?></h2>
  <?php } ?>
<?php } else { ?>

  <h2><?php echo JText::_('VMCUSTOM_DLSALE_DLPAGE_DOWNLOADS'); ?></h2>

  <?php foreach ($viewData[0] as $order) { ?>
    <?php foreach ($order['download_products'] as $product) { ?>
      <h3><?php echo JText::sprintf('VMCUSTOM_DLSALE_DLPAGE_ORDERPRODUCT', $order['details']['BT']->order_number, $product->order_item_name, $product->order_item_sku ) ?></h3>
      <p><?php echo join("<br/>", $product->downloads); ?> </p>
<?php
    }
  }
}
?>

</div>
