<?php
defined ('_JEXEC') or die();
/**
 *
 * @package    VirtueMart
 * @subpackage Plugins - Fields
 * @author Reinhold Kainhofer, Open Tools
 * @link http://www.open-tools.net
 * @copyright Copyright (c) 2014 Open Tools. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
if (!class_exists('JFormFieldVmOrderState'))  
	require(JPATH_VM_ADMINISTRATOR.DS.'components'.DS.'com_virtuemart'.DS.'fields'.DS.'vmorderstate.php');

/*
 * This is an extension of JFormFieldVmOrderState, which prepends a value "Status unchanged" to the list of possible status selections 
 */
 class JFormFieldVmDLOrderState extends JFormFieldVmOrderState {

	var $type = 'vmDLOrderState';
	protected function getOptions() {
		return array_merge (
			array( '' => vmText::_('VMCUSTOM_DLSALE_STATUS_UNCHANGED')),
			JFormFieldVmOrderState::getOptions());
	}

}
